Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.errors
Class XBRLInconsistencyCalculationMistmatch

    java.lang.Object
      com.ihr.xbrl.om.errors.XBRLInconsistency
          com.ihr.xbrl.om.errors.XBRLInconsistencyCalculationMistmatch

All Implemented Interfaces:
  LinkableErrorMessage

    public class XBRLInconsistencyCalculationMistmatch

extends XBRLInconsistency
implements LinkableErrorMessage

Author:
  Ignacio

Nested Class Summary

Nested classes/interfaces inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency
`XBRLInconsistency.Contributor`

Field Summary

Fields inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency
`ASSERTION_EVALUATION_FAILED, CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO, CALCULATION_MISTMATCH, CALCULATION_RULE_SKIPPED_BY_DUPLICATE, DTS_DISCOVERY_FILE_NAME_DIFFERS, FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION, FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION, FoRMULA_INCONSISTENCY_ON_XFI_FUNCION, NUMBER_ROUNDED_TO_PRECISION_ZERO`

Fields inherited from interface com.ihr.xbrl.om.errors.LinkableErrorMessage
`styles`

Constructor Summary
`XBRLInconsistencyCalculationMistmatch(XBRLRoleType role, XBRLFactNumeric factTotal, XBRLNumber accumulated, java.util.Vector<XBRLInconsistency.Contributor> contributors)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`XBRLNumber` | `getAccumulated()`
`java.util.Collection<XBRLInconsistency.Contributor>` | `getContributors()`
`XBRLFactNumeric` | `getFactTotal()`
`java.lang.String` | `getLinkableMessage(KeysForFactsProvider kp, LabelsProvider lp)` Returns the error message in HTML format including links to the items to be highlighted when the mouse goes over.
`XBRLRoleType` | `getRole()`
`int` | `hashCode()`

Methods inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency
`getCode, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XBRLInconsistencyCalculationMistmatch

    public XBRLInconsistencyCalculationMistmatch(XBRLRoleType role,
                                                 XBRLFactNumeric factTotal,
                                                 XBRLNumber accumulated,
                                                 java.util.Vector<XBRLInconsistency.Contributor> contributors)

Parameters:
  `role` -
  `factTotal` -
  `accumulated` -
  `contributors` -

Method Detail

### getContributors

    public java.util.Collection<XBRLInconsistency.Contributor> getContributors()

### getRole

    public XBRLRoleType getRole()

  Returns:
    the role

### getFactTotal

    public XBRLFactNumeric getFactTotal()

  Returns:
    the factTotal

### getAccumulated

    public XBRLNumber getAccumulated()

  Returns:
    the accumulated

### getLinkableMessage

    public java.lang.String getLinkableMessage(KeysForFactsProvider kp,
                                               LabelsProvider lp)

  Description copied from interface: `LinkableErrorMessage`
  Returns the error message in HTML format including links to the items to be highlighted when the mouse goes over.

  Specified by:
    `getLinkableMessage` in interface `LinkableErrorMessage`
  Parameters:
    `kp` - This is an object that generates keys to be used at the time to generate links to fact items
    `lp` - This is the labels provider in order to allow obtaining labels for concepts
  Returns:
    String

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `XBRLInconsistency`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `XBRLInconsistency`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD